Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.f90	(revision 5116)
@@ -47,23 +47,23 @@
   !   Arguments
   !
-  character(len = *) :: infile
-  real :: tstep, t_ops, t_wrt
-  integer :: fileid, filevid, filedid
+  CHARACTER(LEN = *) :: infile
+  REAL :: tstep, t_ops, t_wrt
+  INTEGER :: fileid, filevid, filedid
 
   ! This routine needs IOIPSL
   !   Variables locales
   !
-  real :: nivd(1)
-  integer :: tau0
-  real :: zjulian
-  character(len = 3) :: str
-  character(len = 10) :: ctrac
-  integer :: iq
-  real :: rlong(iip1, jjp1), rlat(iip1, jjp1), rl(1, 1)
-  integer :: uhoriid, vhoriid, thoriid, zvertiid, dhoriid, dvertiid
-  integer :: ii, jj
-  integer :: zan, idayref
+  REAL :: nivd(1)
+  INTEGER :: tau0
+  REAL :: zjulian
+  CHARACTER(LEN = 3) :: str
+  CHARACTER(LEN = 10) :: ctrac
+  INTEGER :: iq
+  REAL :: rlong(iip1, jjp1), rlat(iip1, jjp1), rl(1, 1)
+  INTEGER :: uhoriid, vhoriid, thoriid, zvertiid, dhoriid, dvertiid
+  INTEGER :: ii, jj
+  INTEGER :: zan, idayref
   logical :: ok_sync
-  integer :: jjb, jje, jjn
+  INTEGER :: jjb, jje, jjn
 
   ! definition du domaine d'ecriture pour le rebuild
@@ -156,6 +156,5 @@
   rl(1, 1) = 1.
 
-  if (mpi_rank==0) then
-
+  if (mpi_rank==0) THEN
     CALL histbeg('defstoke.nc', 1, rl, 1, rl, &
             1, 1, 1, 1, &
@@ -191,5 +190,5 @@
           llm, nivsigs, zvertiid)
   ! pour le fichier def
-  if (mpi_rank==0) then
+  if (mpi_rank==0) THEN
     nivd(1) = 1
     CALL histvert(filedid, 'sig_s', 'Niveaux sigma', &
@@ -208,6 +207,5 @@
           "once", t_ops, t_wrt)
 
-  if (mpi_rank==0) then
-
+  if (mpi_rank==0) THEN
     CALL histdef(filedid, "dtvr", "tps dyn", "s", &
             1, 1, dhoriid, 1, 1, 1, -99, 32, &
@@ -272,5 +270,5 @@
   CALL histend(filevid)
   if (mpi_rank==0) CALL histend(filedid)
-  if (ok_sync) then
+  if (ok_sync) THEN
     CALL histsync(fileid)
     CALL histsync(filevid)
@@ -278,3 +276,3 @@
   endif
 
-end subroutine initfluxsto_p
+END SUBROUTINE initfluxsto_p
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90	(revision 5116)
@@ -48,19 +48,19 @@
   !   Arguments
   !
-  integer :: day0, anne0
-  real :: tstep, t_ops, t_wrt
+  INTEGER :: day0, anne0
+  REAL :: tstep, t_ops, t_wrt
 
   ! This routine needs IOIPSL
   !   Variables locales
   !
-  integer :: tau0
-  real :: zjulian
-  integer :: iq
-  real :: rlong(iip1, jjp1), rlat(iip1, jjp1)
-  integer :: uhoriid, vhoriid, thoriid
-  integer :: zvertiid, zvertiidv, zvertiidu
-  integer :: ii, jj
-  integer :: zan, dayref
-  integer :: jjb, jje, jjn
+  INTEGER :: tau0
+  REAL :: zjulian
+  INTEGER :: iq
+  REAL :: rlong(iip1, jjp1), rlat(iip1, jjp1)
+  INTEGER :: uhoriid, vhoriid, thoriid
+  INTEGER :: zvertiid, zvertiidv, zvertiidu
+  INTEGER :: ii, jj
+  INTEGER :: zan, dayref
+  INTEGER :: jjb, jje, jjn
 
   ! definition du domaine d'ecriture pour le rebuild
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.f90	(revision 5116)
@@ -86,5 +86,5 @@
   INTEGER :: ierr
 
-  !write(*,*) 'integrd 88: entree, nq=',nq
+  !WRITE(*,*) 'integrd 88: entree, nq=',nq
   !-----------------------------------------------------------------------
 
@@ -151,10 +151,10 @@
   ! &                   MPI_LOGICAL,MPI_LOR,COMM_LMDZ,ierr)
   IF( .NOT. checksum ) THEN
-     write(lunout,*) "integrd: ps = ", ps(stop_it)
-     write(lunout,*) " at node ij =", stop_it
+     WRITE(lunout,*) "integrd: ps = ", ps(stop_it)
+     WRITE(lunout,*) " at node ij =", stop_it
      ! since ij=j+(i-1)*jjp1 , we have
       j=modulo(stop_it,jjp1)
       i=1+(stop_it-j)/jjp1
-      write(lunout,*) " lon = ",rlonv(i)*180./pi, " deg", &
+      WRITE(lunout,*) " lon = ",rlonv(i)*180./pi, " deg", &
             " lat = ",rlatu(j)*180./pi, " deg"
      CALL abort_gcm("integrd_loc", "negative surface pressure", 1)
@@ -163,5 +163,5 @@
 !$OMP END MASTER
 !$OMP BARRIER
-    !write(*,*) 'integrd 170'
+    !WRITE(*,*) 'integrd 170'
   IF (.NOT. Checksum_all) THEN
     CALL WriteField_v('int_vcov',vcov)
@@ -193,5 +193,5 @@
 
   !
-  !   !write(*,*) 'integrd 200'
+  !   !WRITE(*,*) 'integrd 200'
 !$OMP MASTER
   if (pole_nord) THEN
@@ -220,5 +220,5 @@
 !$OMP END MASTER
 !$OMP BARRIER
-  !write(*,*) 'integrd 217'
+  !WRITE(*,*) 'integrd 217'
   !
   !  ... Calcul  de la nouvelle masse d'air au dernier temps integre t+1 ...
@@ -284,5 +284,5 @@
   !
   !
-  !   !write(*,*) 'integrd 291'
+  !   !WRITE(*,*) 'integrd 291'
   IF (pole_nord) THEN
 
@@ -334,5 +334,5 @@
   ije=ij_end
 
-     if (planet_type=="earth") then
+     if (planet_type=="earth") THEN
   ! Earth-specific treatment of first 2 tracers (water)
 !$OMP BARRIER
@@ -349,7 +349,7 @@
     CALL check_isotopes(q,ijb,ije,'integrd 342')
 
-    !write(*,*) 'integrd 341'
+    !WRITE(*,*) 'integrd 341'
     CALL qminimum_loc( q, nq, deltap )
-    !write(*,*) 'integrd 343'
+    !WRITE(*,*) 'integrd 343'
 
     CALL check_isotopes(q,ijb,ije,'integrd 346')
@@ -421,5 +421,5 @@
   ! .....   FIN  de l'integration  de   q    .......
 
-      !write(*,*) 'integrd 410'
+      !WRITE(*,*) 'integrd 410'
 
 !$OMP DO SCHEDULE(STATIC)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/laplacien_rotgam_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5116)
@@ -37,5 +37,5 @@
   ijb=ij_begin
   ije=ij_end
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_sud) ije=ij_end-iip1
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
   DO l = 1, klevel
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90	(revision 5116)
@@ -27,6 +27,6 @@
           , leapfrog_allocate, leapfrog_switch_caldyn, leapfrog_switch_dissip
 
-  use exner_hyb_loc_m, only: exner_hyb_loc
-  use exner_milieu_loc_m, only: exner_milieu_loc
+  use exner_hyb_loc_m, ONLY: exner_hyb_loc
+  use exner_milieu_loc_m, ONLY: exner_milieu_loc
   USE comconst_mod, ONLY: cpp, dtvr, ihf
   USE comvert_mod, ONLY: ap, bp, pressure_exner
@@ -93,5 +93,5 @@
   REAL, INTENT(IN) :: phis0(ijb_u:ije_u)        ! geopotentiat at the surface
 
-  real :: zqmin, zqmax
+  REAL :: zqmin, zqmax
 
   ! REAL,SAVE,ALLOCATABLE :: p (:,:  )               ! pression aux interfac.des couches
@@ -142,5 +142,5 @@
   INTEGER :: ik
 
-  real :: time_step, t_wrt, t_ops
+  REAL :: time_step, t_wrt, t_ops
 
   ! jD_cur: jour julien courant
@@ -154,5 +154,5 @@
 
   data callinigrads/.TRUE./
-  character(len = 10) :: string10
+  CHARACTER(LEN = 10) :: string10
 
   ! REAL,SAVE,ALLOCATABLE :: flxw(:,:) ! flux de masse verticale
@@ -173,7 +173,7 @@
   !-jld
 
-  character(len = 80) :: dynhist_file, dynhistave_file
-  character(len = *), parameter :: modname = "leapfrog_loc"
-  character(len = 80) :: abort_message
+  CHARACTER(LEN = 80) :: dynhist_file, dynhistave_file
+  CHARACTER(LEN = *), parameter :: modname = "leapfrog_loc"
+  CHARACTER(LEN = 80) :: abort_message
 
   logical, PARAMETER :: dissip_conservative = .TRUE.
@@ -213,5 +213,5 @@
   lafin = .FALSE.
 
-  if (nday>=0) then
+  if (nday>=0) THEN
     itaufin = nday * day_step
   else
@@ -247,6 +247,5 @@
   ! Allocate variables depending on dynamic variable nqtot
   !$OMP MASTER
-  if (firstcall) then
-
+  if (firstcall) THEN
     ! ALLOCATE(p(ijb_u:ije_u,llmp1))
     !      ALLOCATE(pks(ijb_u:ije_u))
@@ -291,5 +290,5 @@
   CALL pression (ijnb_u, ap, bp, ps, p)
   !$OMP END MASTER
-  if (pressure_exner) then
+  if (pressure_exner) THEN
     CALL exner_hyb_loc(ijnb_u, ps, p, pks, pk, pkf)
   else
@@ -310,5 +309,5 @@
   jH_cur = jH_ref + start_time + &
           mod(itau + 1, day_step) / float(day_step)
-  if (jH_cur > 1.0) then
+  if (jH_cur > 1.0) THEN
     jD_cur = jD_cur + 1.
     jH_cur = jH_cur - 1.
@@ -317,5 +316,5 @@
   CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 321')
 
-  if (ok_guide) then
+  if (ok_guide) THEN
     CALL guide_main(itau,ucov,vcov,teta,q,masse,ps)
 !$OMP BARRIER
@@ -335,5 +334,5 @@
   !ym      CALL SCOPY( ip1jmp1, ps  , 1,   psm1 , 1 )
 
-  if (FirstCaldyn) then
+  if (FirstCaldyn) THEN
     !$OMP MASTER
     ucovm1 = ucov
@@ -399,5 +398,5 @@
   !$OMP MASTER
   ItCount = ItCount + 1
-  if (MOD(ItCount, 1)==1) then
+  if (MOD(ItCount, 1)==1) THEN
     debug = .TRUE.
   else
@@ -415,5 +414,5 @@
     jH_cur = jH_ref + start_time + &
             mod(itau + 1, day_step) / float(day_step)
-    if (jH_cur > 1.0) then
+    if (jH_cur > 1.0) THEN
       jD_cur = jD_cur + 1.
       jH_cur = jH_cur - 1.
@@ -448,5 +447,5 @@
   ! Ehouarn: for Shallow Water case (ie: 1 vertical layer),
   ! supress dissipation step
-  if (llm==1) then
+  if (llm==1) THEN
     apdiss = .FALSE.
   endif
@@ -457,5 +456,5 @@
   ! conser = .FALSE. ! ie: no output of control variables to stdout in //
 
-  if (firstCaldyn) then
+  if (firstCaldyn) THEN
     !$OMP MASTER
     CALL Set_Distrib(distrib_caldyn)
@@ -479,15 +478,14 @@
 
   !ym  PAS D'AJUSTEMENT POUR LE MOMENT
-  if (Adjust) then
+  if (Adjust) THEN
     AdjustCount = AdjustCount + 1
     ! if (iapptrac==iapp_tracvl .and. (forward .OR.  leapf)
-    ! &         .and. itau/iphysiq>2 .and. Adjustcount>30) then
-    if (Adjustcount>1) then
+    ! &         .and. itau/iphysiq>2 .and. Adjustcount>30) THEN
+    if (Adjustcount>1) THEN
       AdjustCount = 0
       !$OMP MASTER
       CALL allgather_timer_average
 
-      if (prt_level > 9) then
-
+      if (prt_level > 9) THEN
         print *, '*********************************'
         print *, '******    TIMER CALDYN     ******'
@@ -627,5 +625,5 @@
   !$OMP BARRIER
 
-  if (debug) then
+  if (debug) THEN
     CALL WriteField_u('ucov', ucov)
     CALL WriteField_v('vcov', vcov)
@@ -699,5 +697,5 @@
   IF(forward .OR.  leapf)  THEN
     ! Ehouarn: NB: fields sent to advtrac are those at the beginning of the time step
-    !write(*,*) 'leapfrog 679: avant CALL caladvtrac_loc'
+    !WRITE(*,*) 'leapfrog 679: avant CALL caladvtrac_loc'
     CALL caladvtrac_loc(q, pbaru, pbarv, &
             p, masse, dq, teta, &
@@ -709,5 +707,5 @@
     ENDIF
 
-    !write(*,*) 'leapfrog 719'
+    !WRITE(*,*) 'leapfrog 719'
     CALL check_isotopes(q, ijb_u, ije_u, &
             'leapfrog 698: apres caladvtrac')
@@ -730,5 +728,5 @@
   !$OMP END MASTER
   IF (CPPKEY_DEBUGIO) THEN
-    if (true_itau>20) then
+    if (true_itau>20) THEN
       CALL WriteField_u('ucovm1', ucovm1)
       CALL WriteField_v('vcovm1', vcovm1)
@@ -744,5 +742,5 @@
   ! CALL FTRACE_REGION_BEGIN("integrd")
 
-  !write(*,*) 'leapfrog 720'
+  !WRITE(*,*) 'leapfrog 720'
   CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 756')
 
@@ -752,5 +750,5 @@
   ! $              finvmaold                                    )
 
-  !  !write(*,*) 'leapfrog 724'
+  !  !WRITE(*,*) 'leapfrog 724'
   CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 762')
 
@@ -804,5 +802,5 @@
     ! c-jld
     !$OMP MASTER
-    if (FirstPhysic) then
+    if (FirstPhysic) THEN
       ok_start_timer = .TRUE.
       FirstPhysic = .FALSE.
@@ -812,9 +810,9 @@
 
   CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 1132')
-  !write(*,*) 'leapfrog 1134: iflag_phys=',iflag_phys
+  !WRITE(*,*) 'leapfrog 1134: iflag_phys=',iflag_phys
 
   IF(iflag_phys==2) THEN ! "Newtonian" case
     !$OMP MASTER
-    if (FirstPhysic) then
+    if (FirstPhysic) THEN
       ok_start_timer = .TRUE.
       FirstPhysic = .FALSE.
@@ -840,5 +838,5 @@
 
     !$OMP MASTER
-    if (planet_type=="giant") then
+    if (planet_type=="giant") THEN
       ! add an intrinsic heat flux at the base of the atmosphere
       teta(ijb:ije, 1) = teta(ijb:ije, 1) &
@@ -866,5 +864,5 @@
   CALL pression_loc (ip1jmp1, ap, bp, ps, p)
   !$OMP BARRIER
-  if (pressure_exner) then
+  if (pressure_exner) THEN
     CALL exner_hyb_loc(ijnb_u, ps, p, pks, pk, pkf)
   else
@@ -895,10 +893,9 @@
   CALL stop_timer(timer_caldyn)
   !$OMP END MASTER
-  IF (itau==itaumax) then
+  IF (itau==itaumax) THEN
     !$OMP MASTER
     CALL allgather_timer_average
     CALL barrier
-    if (mpi_rank==0) then
-
+    if (mpi_rank==0) THEN
       print *, '*********************************'
       print *, '******    TIMER CALDYN     ******'
@@ -947,5 +944,5 @@
     !$OMP END MASTER
 
-    if (ok_guide) then
+    if (ok_guide) THEN
       ! set ok_guide to false to avoid extra output
       ! in following forward step
@@ -990,12 +987,11 @@
     ENDIF
 
-    IF(itau == itaufinp1) then
-
-      if (flag_verif) then
-        write(79, *) 'ucov', ucov
-        write(80, *) 'vcov', vcov
-        write(81, *) 'teta', teta
-        write(82, *) 'ps', ps
-        write(83, *) 'q', q
+    IF(itau == itaufinp1) THEN
+      if (flag_verif) THEN
+        WRITE(79, *) 'ucov', ucov
+        WRITE(80, *) 'vcov', vcov
+        WRITE(81, *) 'teta', teta
+        WRITE(82, *) 'ps', ps
+        WRITE(83, *) 'q', q
         WRITE(85, *) 'q1 = ', q(:, :, 1)
         WRITE(86, *) 'q3 = ', q(:, :, 3)
@@ -1068,6 +1064,5 @@
     IF(MOD(itau, iecri)==0) THEN
       ! Ehouarn: output only during LF or Backward Matsuno
-      if (leapf.or.(.not.leapf.and.(.not.forward))) then
-
+      if (leapf.or.(.not.leapf.and.(.not.forward))) THEN
         !$OMP BARRIER
         !$OMP MASTER
@@ -1076,5 +1071,5 @@
         !$OMP BARRIER
 
-         if (ok_dyn_ins) then
+         if (ok_dyn_ins) THEN
              CALL writehist_loc(itau,vcov,ucov,teta,pk,phi,q, &
                    masse,ps,phis)
@@ -1098,10 +1093,10 @@
       !$OMP BARRIER
 
-      ! if (planet_type.eq."earth") then
+      ! if (planet_type.eq."earth") THEN
       ! Write an Earth-format restart file
       CALL dynredem1_loc("restart.nc", 0.0, &
               vcov, ucov, teta, q, masse, ps)
       ! endif ! of if (planet_type.eq."earth")
-      if (ok_guide) then
+      if (ok_guide) THEN
         ! set ok_guide to false to avoid extra output
         ! in following forward step
@@ -1165,5 +1160,5 @@
 
       forward = .FALSE.
-      IF(itau == itaufinp1) then
+      IF(itau == itaufinp1) THEN
         !$OMP MASTER
         CALL fin_getparam
@@ -1231,5 +1226,5 @@
 
 
-          if (ok_dyn_ins) then
+          if (ok_dyn_ins) THEN
              CALL writehist_loc(itau,vcov,ucov,teta,pk,phi,q, &
                    masse,ps,phis)
@@ -1248,9 +1243,9 @@
 
       IF(itau==itaufin) THEN
-        ! if (planet_type.eq."earth") then
+        ! if (planet_type.eq."earth") THEN
         CALL dynredem1_loc("restart.nc", 0.0, &
                 vcov, ucov, teta, q, masse, ps)
         ! endif ! of if (planet_type.eq."earth")
-        if (ok_guide) then
+        if (ok_guide) THEN
           ! set ok_guide to false to avoid extra output
           ! in following forward step
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5116)
@@ -71,6 +71,6 @@
           phis_dyn, q_dyn, flxw_dyn)
     USE dimensions_mod
-    use exner_hyb_loc_m, only: exner_hyb_loc
-    use exner_milieu_loc_m, only: exner_milieu_loc
+    use exner_hyb_loc_m, ONLY: exner_hyb_loc
+    use exner_milieu_loc_m, ONLY: exner_milieu_loc
     USE parallel_lmdz
     USE times
@@ -144,5 +144,5 @@
     jH_cur = jH_ref + start_time + &
             mod(itau + 1, day_step) / float(day_step)
-    if (jH_cur > 1.0) then
+    if (jH_cur > 1.0) THEN
       jD_cur = jD_cur + 1.
       jH_cur = jH_cur - 1.
@@ -334,5 +334,5 @@
     CALL massdair_loc(p, masse)
     !$OMP BARRIER
-    if (pressure_exner) then
+    if (pressure_exner) THEN
       CALL exner_hyb_loc(ijnb_u, ps, p, pks, pk, pkf)
     else
@@ -384,5 +384,5 @@
       ztit = 'bil phys'
       !      CALL diagedyn(ztit,2,1,1,dtphys,ucov, vcov , ps, p ,pk , teta , q(:,:,1), q(:,:,2))
-      write(lunout, *)"call_calfis: diagedyn disabled in dyn3dmem !!"
+      WRITE(lunout, *)"call_calfis: diagedyn disabled in dyn3dmem !!"
     ENDIF
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90	(revision 5116)
@@ -18,5 +18,5 @@
     USE mod_prism
 #endif
-    USE wxios, only: wxios_init, using_xios
+    USE wxios, ONLY: wxios_init, using_xios
     IMPLICIT NONE
 
@@ -56,5 +56,5 @@
   SUBROUTINE Init_mpi
     USE lmdz_mpi
-    USE wxios, only: wxios_init, using_xios
+    USE wxios, ONLY: wxios_init, using_xios
 
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5116)
@@ -20,18 +20,18 @@
   type Hallo
     real, dimension(:,:),pointer :: Field
-    integer :: offset
-    integer :: size
-    integer :: NbLevel
-    integer :: Stride
+    INTEGER :: offset
+    INTEGER :: size
+    INTEGER :: NbLevel
+    INTEGER :: Stride
   end type Hallo
   
   type request_SR
-    integer :: NbRequest=0
-    integer :: NbRequestMax=0
-    integer :: BufferSize
-    integer :: Pos
-    integer :: Index 
+    INTEGER :: NbRequest=0
+    INTEGER :: NbRequestMax=0
+    INTEGER :: BufferSize
+    INTEGER :: Pos
+    INTEGER :: Index
     type(Hallo), POINTER :: Hallo(:)
-    integer :: MSG_Request
+    INTEGER :: MSG_Request
   end type request_SR
 
@@ -39,5 +39,5 @@
     type(request_SR),dimension(0:MaxProc-1) :: RequestSend
     type(request_SR),dimension(0:MaxProc-1) :: RequestRecv
-    integer :: tag=1
+    INTEGER :: tag=1
   end type request
   
@@ -71,5 +71,5 @@
   USE IOIPSL
     IMPLICIT NONE
-    integer :: jj_nb_gather(0:mpi_size-1)
+    INTEGER :: jj_nb_gather(0:mpi_size-1)
     
     Index_Pos=1
@@ -139,15 +139,15 @@
   SUBROUTINE allocate_buffer(Size,Index,Pos)
   IMPLICIT NONE
-    integer :: Size
-    integer :: Index
-    integer :: Pos
+    INTEGER :: Size
+    INTEGER :: Index
+    INTEGER :: Pos
 
     if (Buffer_pos(Index_pos)+Size>MaxBufferSize_Used) MaxBufferSize_Used=Buffer_pos(Index_pos)+Size  
-    if (Buffer_pos(Index_pos)+Size>MaxBufferSize) then
+    if (Buffer_pos(Index_pos)+Size>MaxBufferSize) THEN
       print *,'STOP :: La taille de MaxBufferSize dans mod_hallo.F90 est trop petite !!!!'
       CALL abort_gcm("mod_hallo","stopped",1)
     endif
     
-    if (Index_pos>=ListSize) then
+    if (Index_pos>=ListSize) THEN
       print *,'STOP :: La taille de ListSize dans mod_hallo.F90 est trop petite !!!!'
       CALL abort_gcm("mod_hallo","stopped",1)
@@ -163,5 +163,5 @@
   SUBROUTINE deallocate_buffer(Index)
   IMPLICIT NONE
-    integer :: Index
+    INTEGER :: Index
     
     Buffer_Pos(Index)=-1
@@ -176,5 +176,5 @@
   IMPLICIT NONE
     type(request):: a_request
-    integer :: tag
+    INTEGER :: tag
     
     a_request%tag=tag
@@ -183,8 +183,8 @@
   
   SUBROUTINE New_Hallo(Field,Stride,NbLevel,offset,size,Ptr_request)
-    integer :: Stride
-    integer :: NbLevel
-    integer :: size
-    integer :: offset
+    INTEGER :: Stride
+    INTEGER :: NbLevel
+    INTEGER :: size
+    INTEGER :: offset
     real, dimension(Stride,NbLevel),target :: Field
     type(request_SR),pointer :: Ptr_request
@@ -259,5 +259,5 @@
     integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
     
-    integer ::i,jje,jjb
+    INTEGER ::i,jje,jjb
     
     jj_begin_New(0)=1
@@ -269,5 +269,5 @@
     
     do i=0,MPI_Size-1
-      if (i /= MPI_Rank) then
+      if (i /= MPI_Rank) THEN
         jjb=max(jj_begin_new(i),jj_begin)
         jje=min(jj_end_new(i),jj_end)
@@ -275,5 +275,5 @@
         if (ij==ip1jm .and. jje==jjp1) jje=jjm
         
-        if (jje >= jjb) then
+        if (jje >= jjb) THEN
           CALL Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -284,5 +284,5 @@
         if (ij==ip1jm .and. jje==jjp1) jje=jjm
         
-        if (jje >= jjb) then
+        if (jje >= jjb) THEN
           CALL Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -307,5 +307,5 @@
     integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
     
-    integer ::i,jje,jjb
+    INTEGER ::i,jje,jjb
     
     jj_begin_New(0)=1
@@ -322,5 +322,5 @@
    
     do i=0,MPI_Size-1
-      if (i /= MPI_Rank) then
+      if (i /= MPI_Rank) THEN
         jjb=max(jj_begin_new(i),jj_begin)
         jje=min(jj_end_new(i),jj_end)
@@ -328,5 +328,5 @@
         if (ij==ip1jm .and. jje==jjp1) jje=jjm
         
-        if (jje >= jjb) then
+        if (jje >= jjb) THEN
           CALL Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -337,5 +337,5 @@
         if (ij==ip1jm .and. jje==jjp1) jje=jjm
         
-        if (jje >= jjb) then
+        if (jje >= jjb) THEN
           CALL Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -1176,17 +1176,17 @@
       ENDIF
       
-      if (Sup==0) then
+      if (Sup==0) THEN
         SendUp=.FALSE.
        endif
       
-      if (Sdown==0) then
+      if (Sdown==0) THEN
         SendDown=.FALSE.
       endif
 
-      if (Rup==0) then
+      if (Rup==0) THEN
         RecvUp=.FALSE.
       endif
       
-      if (Rdown==0) then
+      if (Rdown==0) THEN
         RecvDown=.FALSE.
       endif
@@ -1240,17 +1240,17 @@
       ENDIF
       
-      if (Sup==0) then
+      if (Sup==0) THEN
         SendUp=.FALSE.
        endif
       
-      if (Sdown==0) then
+      if (Sdown==0) THEN
         SendDown=.FALSE.
       endif
 
-      if (Rup==0) then
+      if (Rup==0) THEN
         RecvUp=.FALSE.
       endif
       
-      if (Rdown==0) then
+      if (Rdown==0) THEN
         RecvDown=.FALSE.
       endif
@@ -1303,17 +1303,17 @@
       ENDIF
       
-      if (Sup==0) then
+      if (Sup==0) THEN
         SendUp=.FALSE.
        endif
       
-      if (Sdown==0) then
+      if (Sdown==0) THEN
         SendDown=.FALSE.
       endif
 
-      if (Rup==0) then
+      if (Rup==0) THEN
         RecvUp=.FALSE.
       endif
       
-      if (Rdown==0) then
+      if (Rdown==0) THEN
         RecvDown=.FALSE.
       endif
@@ -1346,9 +1346,9 @@
       type(request_SR),pointer :: Req
       type(Hallo),pointer :: PtrHallo
-      integer :: SizeBuffer
-      integer :: i,rank,l,ij,Pos,ierr
-      integer :: offset
+      INTEGER :: SizeBuffer
+      INTEGER :: i,rank,l,ij,Pos,ierr
+      INTEGER :: offset
       real,dimension(:,:),pointer :: Field
-      integer :: Nb
+      INTEGER :: Nb
        
       do rank=0,MPI_SIZE-1
@@ -1367,6 +1367,5 @@
       
          Req%BufferSize=SizeBuffer
-         if (Req%NbRequest>0) then
-       
+         if (Req%NbRequest>0) THEN
           CALL allocate_buffer(SizeBuffer,Req%Index,Req%pos)
 
@@ -1390,5 +1389,5 @@
           enddo
     
-         if (SizeBuffer>0) then
+         if (SizeBuffer>0) THEN
 !$OMP CRITICAL (MPI)
          
@@ -1427,9 +1426,8 @@
           Req%BufferSize=SizeBuffer
           
-          if (Req%NbRequest>0) then
+          if (Req%NbRequest>0) THEN
           CALL allocate_buffer(SizeBuffer,Req%Index,Req%Pos)
    
-          if (SizeBuffer>0) then
-
+          if (SizeBuffer>0) THEN
 !$OMP CRITICAL (MPI)
 
@@ -1466,8 +1464,8 @@
       integer, dimension(2*mpi_size) :: TabRequest
       integer, dimension(MPI_STATUS_SIZE,2*mpi_size) :: TabStatus
-      integer :: NbRequest
-      integer :: i,rank,pos,ij,l,ierr
-      integer :: offset
-      integer :: Nb
+      INTEGER :: NbRequest
+      INTEGER :: i,rank,pos,ij,l,ierr
+      INTEGER :: offset
+      INTEGER :: Nb
       
       
@@ -1475,5 +1473,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0 .AND. Req%BufferSize > 0) then
+        if (Req%NbRequest>0 .AND. Req%BufferSize > 0) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1483,5 +1481,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) then
+        if (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1489,5 +1487,5 @@
       enddo
      
-      if (NbRequest>0) then
+      if (NbRequest>0) THEN
 !$OMP CRITICAL (MPI)
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1501,5 +1499,5 @@
       do rank=0,MPI_Size-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) then
+        if (Req%NbRequest>0) THEN
           Pos=Req%Pos
           do i=1,Req%NbRequest
@@ -1524,5 +1522,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0) then
+        if (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1532,5 +1530,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) then
+        if (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1551,7 +1549,7 @@
       integer, dimension(mpi_size) :: TabRequest
       integer, dimension(MPI_STATUS_SIZE,mpi_size) :: TabStatus
-      integer :: NbRequest
-      integer :: i,rank,pos,ij,l,ierr
-      integer :: offset
+      INTEGER :: NbRequest
+      INTEGER :: i,rank,pos,ij,l,ierr
+      INTEGER :: offset
       
       
@@ -1559,5 +1557,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0) then
+        if (Req%NbRequest>0) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1580,5 +1578,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0) then
+        if (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1598,7 +1596,7 @@
       integer, dimension(mpi_size) :: TabRequest
       integer, dimension(MPI_STATUS_SIZE,mpi_size) :: TabStatus
-      integer :: NbRequest
-      integer :: i,rank,pos,ij,l,ierr
-      integer :: offset,Nb
+      INTEGER :: NbRequest
+      INTEGER :: i,rank,pos,ij,l,ierr
+      INTEGER :: offset,Nb
       
       
@@ -1607,5 +1605,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) then
+        if (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1614,5 +1612,5 @@
      
       
-      if (NbRequest>0) then
+      if (NbRequest>0) THEN
 !$OMP CRITICAL (MPI)     
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1627,5 +1625,5 @@
       do rank=0,MPI_Size-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) then
+        if (Req%NbRequest>0) THEN
           Pos=Req%Pos
           do i=1,Req%NbRequest
@@ -1649,5 +1647,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) then
+        if (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1671,5 +1669,5 @@
     integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
     
-    integer ::i,jje,jjb,ijb,ije
+    INTEGER ::i,jje,jjb,ijb,ije
     
     jj_begin_New(0)=1
@@ -1684,5 +1682,5 @@
     if (ij==ip1jm) jje=min(jje,jjm)
 
-    if (jje >= jjb) then
+    if (jje >= jjb) THEN
       ijb=(jjb-1)*iip1+1
       ije=jje*iip1
@@ -1709,5 +1707,5 @@
     integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
 
-    integer ::i,jje,jjb,ijb,ije,l
+    INTEGER ::i,jje,jjb,ijb,ije,l
 
      
@@ -1725,5 +1723,5 @@
     
     
-    if (jje >= jjb) then
+    if (jje >= jjb) THEN
       ijb=(jjb-1)*iip1+1
       ije=jje*iip1
@@ -1741,7 +1739,7 @@
    USE dimensions_mod
    IMPLICIT NONE
-     integer :: ll
-     real :: field_loc(ijb_u:ije_u,ll)
-     real :: field_glo(ip1jmp1,ll)
+     INTEGER :: ll
+     REAL :: field_loc(ijb_u:ije_u,ll)
+     REAL :: field_glo(ip1jmp1,ll)
      type(request) :: request_gather
      integer       :: l
@@ -1764,9 +1762,9 @@
    USE dimensions_mod
    IMPLICIT NONE
-     integer :: ll
-     real :: field_loc(ijb_v:ije_v,ll)
-     real :: field_glo(ip1jm,ll)
+     INTEGER :: ll
+     REAL :: field_loc(ijb_v:ije_v,ll)
+     REAL :: field_glo(ip1jm,ll)
      type(request) :: request_gather
-     integer :: ijb,ije
+     INTEGER :: ijb,ije
      integer       :: l
      
@@ -1792,7 +1790,7 @@
    USE dimensions_mod
    IMPLICIT NONE
-     integer :: ll
-     real :: field_glo(ip1jmp1,ll)
-     real :: field_loc(ijb_u:ije_u,ll)
+     INTEGER :: ll
+     REAL :: field_glo(ip1jmp1,ll)
+     REAL :: field_loc(ijb_u:ije_u,ll)
      type(request) :: request_gather
      TYPE(distrib) :: distrib_swap
@@ -1826,7 +1824,7 @@
    USE dimensions_mod
    IMPLICIT NONE
-     integer :: ll
-     real :: field_glo(ip1jmp1,ll)
-     real :: field_loc(ijb_v:ije_v,ll)
+     INTEGER :: ll
+     REAL :: field_glo(ip1jmp1,ll)
+     REAL :: field_loc(ijb_v:ije_v,ll)
      type(request) :: request_gather
      TYPE(distrib) :: distrib_swap
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5116)
@@ -20,5 +20,5 @@
   REAL :: x( ijb_u:ije_u,klevel ),y(ijb_v:ije_v,klevel )
   INTEGER :: l,ij
-  integer :: ismin,ismax
+  INTEGER :: ismin,ismax
   external ismin,ismax
   INTEGER :: ijb,ije
@@ -29,5 +29,5 @@
   ijb=ij_begin
   ije=ij_end
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_sud) ije=ij_end-iip1
 
   DO ij = ijb+1, ije
@@ -45,6 +45,6 @@
   ijb=ij_begin
   ije=ij_end+iip1
-  if(pole_nord) ijb=ij_begin+iip1
-  if(pole_sud) ije=ij_end-iip1
+  IF(pole_nord) ijb=ij_begin+iip1
+  IF(pole_sud) ije=ij_end-iip1
 
   DO ij = ijb,ije
@@ -52,5 +52,5 @@
   END DO
 
-  if (pole_nord) then
+  if (pole_nord) THEN
     DO  ij = 1,iip1
      x(    ij    ,l ) = 0.
@@ -58,5 +58,5 @@
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
     DO  ij = 1,iip1
      x( ij +ip1jm,l ) = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.f90	(revision 5116)
@@ -51,5 +51,5 @@
   END DO
 
-  if (pole_nord) then
+  if (pole_nord) THEN
     DO ij = 1,iip1
       x(    ij    ,l ) = 0.
@@ -57,5 +57,5 @@
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
     DO ij = 1,iip1
       x( ij +ip1jm,l ) = 0.
